Subject: RE: [Sip] SIPIT Interop problem with ;user=phone

From: "Rosen, Brian" <[email-masked]>
Date: Mon, 15 Sep 2003 14:40:57 -0400

I'm sorry, but when the draft says:
"Dial strings are beyond the scope of this document."
to me, means dial string is not legal in a tel uri.

The text describes a dial string the way you (and I) interpret one:  
 Dial string: "Dial strings" are the actual numbers, symbols and
             pauses entered by a user to place a phone call. A dial-
             string is consumed by one or more network entities, and
             understood in the context of the configuration of these
             entities.
It says that it's not in scope.  
We can create a new RFC that extends this one, but at the moment, 
you cannot put a dial string in a tel uri.  

Specifications are all about "terminology".  We usually
don't create gray areas on purpose -- well, maybe sometimes we do :(

It's necessary to have a way to send a dial string
that has pound, star and commas (or p/w, which is what
2543 did), which is not allowed in a tel uri.

Dial strings are interpretted into something else.
That is a phone number, and might need some other processing.
You can send what a dial string translates into in a tel uri.
We have to have a way to denote that which is not a phone
number, but is a dial string.  That is what user=phone could
do.

Brian

-----Original Message-----
From: Francois Audet [mailto:[email-masked]]
Sent: Monday, September 15, 2003 2:21 PM
To: 'Rosen, Brian'; 'Paul Kyzivat'
Cc: 'Bob Penfield'; [email-masked]'
Subject: RE: [Sip] SIPIT Interop problem with ;user=phone

> Well this goes to the issue Paul and I have disagreed on. 
> 
> I think the wording of the tel uri RFC is quite clear that 
> you can't pass a dial string in one.  You certainly can't 
> pass one with 
> star and pound.   Therefore, I claim, there is no way to pass 
> a dial string, unless you put it in a username on a SIP uri, 
> and denote that it is a dial string, for which a phone number 
> is a proper subset for most dial plans, by specifying user=phone. 
> 
> Paul disagrees.  He thinks he can send a dial string in a tel 
> uri. Without some kind of resolution of that issue, we have a problem. 
Let's not be too hung up on terminology. Yes indeed, a pure "dial string"
shall 
not be included in a SIP URI (especially the pound and star). 
However, it is valid to have a "number" in a tel URI who's format is 
valid only under a specific context. That context could happen to be closely

linked to a "dialing plan", including the "6" prefix in an enterprise, or 
the "00", "01" in a carrier network. I'm not sure we can call this a 
"dial string" per se as there will be some sort of minimal processing done 
by the phone anyways (including removing the star and pound). 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: Rohan Mahy <[email-masked]>
Date: Thu, 18 Sep 2003 18:19:54 -0700

> to me, means dial string is not legal in a tel uri.

To me this statement simply means that the *internal semantics* of dial 
strings are not defined in that document.  It does not say  "you MUST 
not put a dial string into the phone-number portion of a local-number"

Perhaps it should say that no special considerations for dial strings 
are included in the document.  Specifically wait and pause are missing, 
but that is not what you are describing.

thanks,
-rohan